Amazon Track Charts
Amazon track charts for a country/genre/type. Data sources split by type: new_track/popular_track come from S3 parquet (via #getChartsS3), other types from the RDS amazon_*_chart tables. Per-row historical rankStats (RDS path) and merged cross-platform track metadata from Track.getBasicInfoBatch.
- Type: string Format: date-timedate
Date for the time-slice (YYYY-MM-DD). Required unless
latest=true. - Type: stringgenrerequired
Amazon genre filter. Use
/api/charts/genres/amazonto retrieve the available genre IDs/names. - Type: stringcode2min length:2max length:2
ISO 3166-1 alpha-2 country code (2 letters, e.g. 'US', 'BR', 'GB').
- Type: string enumtyperequired
Amazon track chart type (
popular_trackornew_track).values- popular
_track - new
_track
- Type: booleanlatest
If true, use the most recently available date and ignore
date. - Type: integerlimit
Maximum entries returned. Defaults to 500.
- Type: integeroffsetmin:0
Number of items to skip from the start of the result set; pair with
limitto paginate.
- application/json
curl 'https://api.chartmetric.com/api/charts/amazon/tracks?genre=&type=popular_track' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
"obj": {
"length": null,
"data": [
{
"id": 0,
"name": null,
"isrc": null,
"image_url": null,
"description": null,
"tags": null,
"cm_track": null,
"cm_artist": [
null
],
"artist_names": [
null
],
"code2s": [
null
],
"artist_images": [
null
],
"artist_covers": [
null
],
"spotify_track_ids": [
null
],
"spotify_album_ids": [
null
],
"spotify_duration_ms": null,
"itunes_track_ids": [
null
],
"itunes_album_ids": [
null
],
"itunes_artist_ids": [
1
],
"itunes_artist_names": [
null
],
"storefronts": [
null
],
"deezer_track_ids": [
null
],
"deezer_album_ids": [
1
],
"deezer_duration": null,
"amazon_track_ids": [
null
],
"amazon_album_ids": [
null
],
"album_ids": [
0
],
"album_names": [
null
],
"album_upc": [
null
],
"album_label": [
null
],
"release_dates": [
"2026-07-20T17:45:03.249Z"
],
"created_at": "2026-07-20T17:45:03.249Z",
"modified_at": "2026-07-20T17:45:03.249Z",
"rank_1d_change": null,
"rank_7d_change": null,
"chart_name": null,
"chart_type": null,
"code2": null,
"timestp": null,
"duration": null,
"rank": null,
"pre_rank": null,
"peak_rank": null,
"peak_date": "2026-07-20T17:45:03.249Z",
"time_on_chart": "string",
"added_at": "2026-07-20T17:45:03.249Z",
"velocity": null,
"amazon": null,
"amazon_browse": null,
"amazon_artist_id": null,
"amazon_artist_ids": [
null
],
"amazon_album_id": null,
"amazon_genres": [
null
],
"amazon_artist_names": [
null
],
"rankStats": [
{
"rank": null,
"timestp": "2026-07-20T17:45:03.249Z"
}
]
}
]
}
}